<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Fundo.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../util/definiciones.php';
require_once __DIR__ . '/../util/sendgrid-php/vendor/autoload.php';

date_default_timezone_set("America/Lima");

try {
    // Funciones::imprimeJSON(200, "llegan post", $_POST);
    // exit;
    $objEntradaFUNDO = new Fundo();
    $detalle = json_decode($_POST["p_detalle"], true);
    $empresa = $_POST["p_empresa"];
    $resultado = $objEntradaFUNDO->sincAgro($detalle, $empresa);
    Funciones::imprimeJSON(200, "success", $resultado);
} catch (Exception $ex) {
    Funciones::imprimeJSON(200, "error", $ex->getMessage());
}
