<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__.'/../negocio/Reporte.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';
// Funciones::imprimeJSON(200, "error", $_FILES);
// exit;
if (! isset($_POST["p_trampa"])
    || ! isset($_POST["p_latitud"])
    || ! isset($_POST["p_longitud"])
    || ! isset($_POST["p_usuario"])
    || ! isset($_POST["p_empresa"])
    || ! isset($_FILES)
    || ! isset($_POST["p_descripcion"]) ){
  Funciones::imprimeJSON(200, "error", $_FILES);
  exit;
}

try {
  $objReporte = new Reporte();

  $trampa = $_POST["p_trampa"];
  $latitud = $_POST["p_latitud"];
  $longitud = $_POST["p_longitud"];
  $usuario = $_POST["p_usuario"];
  $empresa = $_POST["p_empresa"];
  $foto = $_FILES;
  $descripcion = $_POST["p_descripcion"];

  $resultado = $objReporte->registrarReporte($trampa, $latitud, $longitud, $usuario, $empresa, $foto, $descripcion);
  Funciones::imprimeJSON(200, "Reporte realizada correctamente", $resultado);
} catch (Exception $exc) {
    Funciones::imprimeJSON(200, "error", $exc->getMessage());
}
